package com.example.storageex.controller;


import com.example.storageex.service.IndexService;
import com.example.storageex.utils.R;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

import java.util.List;
import java.util.Map;

@RestController
@RequestMapping("/javaApi")
public class IndexController {

    @Autowired
    private IndexService indexService;

    /**
     * 导出功能
     */
    @PostMapping("/selectDetails")
    public R getPersonAttendData(@RequestBody Map<String, Object> condition) {
        List<Map<String, Object>> maps = indexService.selectDetails(condition);
        return R.ok(maps);
    }

    /**
     * 获取V3排班数据
     */
    @PostMapping("getV3PlanData")
    public R getV3PlanData(@RequestBody Map<String, String> condition) {
        Map<String, Object> result = indexService.getV3PlanData(condition);
        return R.ok(result);
    }

    /**
     * 合同付款
     */
    @GetMapping("contractPayment")
    public R contractPayment() {
        Map<String, Object> result = indexService.contractPayment();
        return R.ok(result);
    }

    /**
     * 审批角色
     */
    @GetMapping("approvalRole")
    public R approvalRole() {
        List<Map<String, Object>> result = indexService.approvalRole();
        return R.ok(result);
    }

    /**
     * 盘点记录
     */
    @PostMapping("inventoryRecord")
    public R inventoryRecord(@RequestBody Map<String, String> condition) {
        List<Map<String, Object>> result = indexService.getInventoryRecord(condition);
        return R.ok(result);
    }


}
