package com.example.storageex.utils;

import com.alibaba.fastjson.JSONObject;

import java.io.BufferedReader;
import java.io.InputStreamReader;
import java.net.URL;
import java.net.URLConnection;
import java.nio.charset.StandardCharsets;
import java.util.Map;
import java.util.StringJoiner;

/**
 * 通用http工具封装
 */
public class HttpHelper {


    public static Map<String, Object> doGet(String url, Map<String, String> paramMap) {
        StringBuilder result = new StringBuilder();
        BufferedReader in = null;
        try {
            StringJoiner joiner = new StringJoiner("&");
            paramMap.forEach((k, v) -> joiner.add(k + "=" + v));

            String urlNameString = url + "?" + joiner;

            URL realUrl = new URL(urlNameString);
            URLConnection connection = realUrl.openConnection();
            connection.setRequestProperty("accept", "*/*");
            connection.setRequestProperty("connection", "Keep-Alive");
            connection.setRequestProperty("user-agent", "Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 5.1;SV1)");
            connection.connect();
            in = new BufferedReader(new InputStreamReader(connection.getInputStream(), StandardCharsets.UTF_8));
            String line;
            while ((line = in.readLine()) != null) {
                result.append(line);
            }
        } catch (Exception e) {
            e.printStackTrace();
        } finally {
            try {
                if (in != null) {
                    in.close();
                }
            } catch (Exception e) {
                e.printStackTrace();
            }
        }

        return JSONObject.parseObject(result.toString());
    }

}
